Package org.apache.torque.templates.transformer.om

# Enum Class ForeignKeyChildElementName

java.lang.Object
java.lang.Enum<ForeignKeyChildElementName>
org.apache.torque.templates.transformer.om.ForeignKeyChildElementName

All Implemented Interfaces:
  `Serializable`, `Comparable<ForeignKeyChildElementName>`, `Constable`, `SourceElementName`

public enum ForeignKeyChildElementName extends Enum<ForeignKeyChildElementName> implements SourceElementName
Contains the child elements for a foreign-key source element which are not defined in the Torque schema. These elements might be created in the transformation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FOREIGN_FIELD`
  The child element containing information about the field in the foreign database object containing the referenced local database object.
  `FOREIGN_FIELD_IN_BEAN`
  The child element containing information about the field in the foreign bean containing the referenced local beans.
  `LOCAL_FIELD`
  The child element containing information about the field in the local database object containing the referenced foreign database object.
  `LOCAL_FIELD_IN_BEAN`
  The child element containing information about the field in the local bean containing the referenced foreign bean.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of the referenced source element.
  `String`
  `toString()`
  `static ForeignKeyChildElementName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ForeignKeyChildElementName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LOCAL_FIELD

    public static final ForeignKeyChildElementName LOCAL_FIELD
    The child element containing information about the field in the local database object containing the referenced foreign database object.

  - ### FOREIGN_FIELD

    public static final ForeignKeyChildElementName FOREIGN_FIELD
    The child element containing information about the field in the foreign database object containing the referenced local database object.

  - ### LOCAL_FIELD_IN_BEAN

    public static final ForeignKeyChildElementName LOCAL_FIELD_IN_BEAN
    The child element containing information about the field in the local bean containing the referenced foreign bean.

  - ### FOREIGN_FIELD_IN_BEAN

    public static final ForeignKeyChildElementName FOREIGN_FIELD_IN_BEAN
    The child element containing information about the field in the foreign bean containing the referenced local beans.

- ## Method Details

  - ### values

    public static ForeignKeyChildElementName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ForeignKeyChildElementName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Returns the name of the referenced source element.
    Specified by:
      `getName` in interface `SourceElementName`
    Returns:
      the name of the referenced source element.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ForeignKeyChildElementName>`